# Uses of Enum Class
org.apache.sysds.parser.Expression.DataOp

Packages that use Expression.DataOp
Package
Description
org.apache.sysds.parser

## Uses of Expression.DataOp in org.apache.sysds.parser

Methods in org.apache.sysds.parser that return Expression.DataOp
Modifier and Type
Method
Description
`Expression.DataOp`
DataExpression.`getOpCode()`
`static Expression.DataOp`
Expression.DataOp.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Expression.DataOp[]`
Expression.DataOp.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.parser with parameters of type Expression.DataOp
Modifier and Type
Method
Description
`void`
DataExpression.`setOpCode(Expression.DataOp op)`
Constructors in org.apache.sysds.parser with parameters of type Expression.DataOp
Modifier
Constructor
Description
``
`DataExpression(org.antlr.v4.runtime.ParserRuleContext ctx, Expression.DataOp op, HashMap<String,Expression> varParams, String filename)`
``
`DataExpression(Expression.DataOp op, HashMap<String,Expression> varParams, ParseInfo parseInfo)`
``
`OutputStatement(org.antlr.v4.runtime.ParserRuleContext ctx, DataIdentifier t, Expression.DataOp op, String filename)`
``
`OutputStatement(DataIdentifier t, Expression.DataOp op, ParseInfo parseInfo)`